.todo-wrapper {
  width: 400px;
}

.input-section {
  position: relative;
  display: inline-flex;
  width: 100%;

  #mytodo {
    flex: 1 1 auto;
    padding: 10px;
    border-top: 1px inset snow;
    border-bottom: 1px inset snow;
    border-left: 1px inset snow;
    border-right: none;
    border-radius: 5% 0 0 5px;
    &:focus {
      border-top: 1px inset snow;
      border-bottom: 1px inset snow;
      border-left: 1px inset snow;
      border-right: none;
      outline: none;
    }
  }
  
  .btn-add {
    background-color: rgb(0, 123, 255);
    border: 1px solid rgb(0, 123, 255);
    border-radius: 0 5px 5px 0;
    padding: 10px 15px;
    cursor: pointer;
  }

}

.list-section {
  margin-top: 50px;

  .todo-item {
    border-radius: 5px;
    border: 1px solid snow;
    margin: 5px;
    display: flex;

    .msg {
      border-radius: 5px 0 0 5px;
      padding: 10px;
      flex-grow: 1;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }

    .btn-del {
      border-radius: 0 5px 5px 0;
      padding: 10px;
      border-left: 1px solid snow;
      cursor: pointer;
      width: 50px;
      flex-shrink: 0;

      &:hover {
        background-color: gray;
      }
    }
  }
}